#ifndef COMBAT_HPP_INCLUDED
#define COMBAT_HPP_INCLUDED

#include <cstdint>
#include <string>

/** @addtogroup GameTabs
* @{ */
class Combat
{
    public:
        static bool IsOpen();
        static bool Open();

        static std::int32_t GetHealth();
        static std::int32_t GetMaxHealth();

        static std::int32_t GetSpecialAttack();
        static bool IsSpecialAttacking();
        static bool ToggleSpecialAttack(bool Toggle);

        static bool IsPoisoned();
        static bool HasPoisonImmunity();

        static bool IsAutoRetaliating();
        static bool ToggleAutoRetaliate(bool Toggle);

        static std::int32_t GetStyleIndex();
        static std::string GetStyleString();

        static bool SetStyle(const std::string& Style);
        static bool SetStyle(std::int32_t Index);
};

/** @} */

#endif // COMBAT_HPP_INCLUDED
